# Usage against the plan, by meter

`GET /usage` · Rivier · usage

Usage against the plan, by meter.

- Scope: usage:read
- Mcp: rivier_personas_usage_report
- Graphql: Query.usagePlanReport
- Sdk: usage.plan.report
- Cli: usage plan report

## Parameters

- `productId` (query), string
- `agentId` (query), string
- `interestId` (query), string
- `channel` (query), string
- `meter` (query), string

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/usage' \
  -H 'Authorization: Bearer $KEY'
```
